com.jnape.palatable.lambda.functions.builtin.fn2

## Class Drop<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Drop<A>

- Type Parameters:
    `A` - The Iterable element type
  All Implemented Interfaces:
    Fn1<Integer,Fn1<Iterable<A>,Iterable<A>>>, Fn2<Integer,Iterable<A>,Iterable<A>>, Applicative<Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>, Cartesian<Integer,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Cocartesian<Integer,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Contravariant<Integer,Profunctor<?,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>>, Functor<Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>, Profunctor<Integer,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Monad<Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>, MonadReader<Integer,Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>, MonadRec<Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>, MonadWriter<Integer,Fn1<Iterable<A>,Iterable<A>>,Fn1<Integer,?>>

      public final class Drop<A>
      extends Object
      implements Fn2<Integer,Iterable<A>,Iterable<A>>

  Lazily skip the first `n` elements from an `Iterable` by returning an `Iterable` that begins iteration after the `nth` element. If `n` is greater than or equal to the length of the `Iterable`, an empty `Iterable` is returned.
  See Also:
    `DropWhile`, `Take`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<A>` | `checkedApply(Integer n, Iterable<A> as)`
    `static <A> Drop<A>` | `drop()`
    `static <A> Fn1<Iterable<A>,Iterable<A>>` | `drop(int n)`
    `static <A> Iterable<A>` | `drop(int n, Iterable<A> as)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Iterable<A> checkedApply(Integer n,
                                          Iterable<A> as)

      Specified by:
        `checkedApply` in interface `Fn2<Integer,Iterable<A>,Iterable<A>>`

    - #### drop

          public static <A> Drop<A> drop()

    - #### drop

          public static <A> Fn1<Iterable<A>,Iterable<A>> drop(int n)

    - #### drop

          public static <A> Iterable<A> drop(int n,
                                             Iterable<A> as)